{% extends 'base.html' %}

{% block head %}
<title>Livre Mercado</title>
{% endblock %}

{% block body %}
<a href = "/" class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect mdl-button--accent" id="voltar">&lt; Voltar</a>

{% if user.name!='' %}
<span class="mdl-chip mdl-chip--contact" id="user">
    <img class="mdl-chip__contact" src="{{url_for('static', filename='/images/user.jpg')}}"></img>
    <span class="mdl-chip__text">{{ user.name }}</span>
</span>
{% else %}]
<span class="mdl-chip mdl-chip--contact" id="user">
    <img class="mdl-chip__contact" src="{{url_for('static', filename='/images/user.jpg')}}"></img>
    <span class="mdl-chip__text"><a href="/login/">Fazer login</a></span>
</span>
{% endif %}

<div class="content">
    <h1 style="text-align: center;">Livre Mercado</h1>
    {% if products|length < 1 %}
    <h4 style="text-align: center;">Não há produtos disponíveis</h4>
    {% else %}
    <div id="tabela">
        <table class="mdl-data-table mdl-js-data-table mdl-data-table mdl-shadow--2dp">
            <tr>
                <th>Nome</th>
                <th>Descrição</th>
                <th>Preço</th>
            </tr>
            {% for product in products %}
                <tr>
                    <td>{{ product.name }}</td>
                    <td><span class="text">{{ product.description }}</span></td>
                    <td>{{ product.value }}</td>
                    <td>
                        <a class="mdl-button mdl-js-button mdl-button--raised" href="/cliente/view/{{product.id}}">Vizualizar</a>
                        <br>
                        <a class="mdl-button mdl-js-button mdl-button--raised" href="/cliente/buy/{{product.id}}">Comprar</a>
                    </td>
                </tr>
            {% endfor %}
        </table>
    </div>
    {% endif %}
</div>
{% endblock %}